Package com.shri.restinpeace.annotation.request
package com.shri.restinpeace.annotation.request
-
Annotation TypesClassDescriptionSends the annotated parameter as the request body.Marks the
java.io.Fileparameter aFile-returning method writes its response body into, instead of buffering the whole body into abyte[]:One name/value pair of a@FormUrlEncodedmethod's form-urlencoded body.AMap<String, ?>parameter of a@FormUrlEncodedmethod adding one form field per entry, for a set of field names not known until runtime - the@FieldMapcounterpart to@QueryMapand@PartMap.Marks a method as sending anapplication/x-www-form-urlencodedbody built from its@Field/@FieldMap-annotated parameters, instead of the JSON/raw-string body a@Bodyparameter would send, or themultipart/form-databody@Multipartwould send.Sets an HTTP header for each entry of the annotatedMap<String, ?>parameter, for a set of headers whose names aren't known until runtime - e.g. caller-supplied headers in a multi-tenant app.Sets an HTTP header on the request from the annotated parameter's value.Sets one or more fixed HTTP headers on every call of the annotated method, each given as a"Name: Value"string - for a header whose value is always the same (e.g.One field of a@Multipartmethod's multipart body.AMap<String, ?>parameter of a@Multipartmethod adding one part per entry, for a set of field names not known until runtime - the@Partcounterpart to@QueryMapand@HeaderMap.Substitutes a{name}placeholder in the method's URL template with the annotated parameter's value.Appends a query string parameter for each entry of the annotatedMap<String, ?>parameter, for a set of query params whose names aren't known until runtime - e.g. a search endpoint's open-ended filter set.Appends a query string parameter to the request from the annotated parameter's value.Uses the annotatedStringparameter as the method's entire URL, instead of resolving one from the HTTP method annotation's template (with@BaseUrl/a runtime base URL and@PathParams).